Modify

Opened 11 years ago

Closed 10 years ago

#215 closed setup (fixed)

Updated tickets are not showing up on the View Tickets

Reported by: nidhi.tare@… Owned by: bas
Priority: minor Milestone:
Component: email2trac Version:
Keywords: Cc:

Description

Hello. The email2trac plug-in is partially working for me. I can post new tickets, Cc, modify tickets etc but when I reply to a ticket in my email the updates don't show up in View Tickets.

I have set the ticket_update and ticket_update_by_subject to 1. Also I am using the proper format in the subject when I create a ticket update.

Subject: #34: Bas (Which will update ticket 34) does not show up in trac.

Attachments (0)

Change History (21)

comment:1 Changed 11 years ago by bas

  • Version 1.5.2 deleted

Whaty trac version do you use? and you do not get any debug info in your syslog? If you hit the reply the update fails there is also no new ticket created? The last question is did you enabled the permission model ticket_permission_system?

comment:2 Changed 11 years ago by bas

  • Status changed from new to assigned

comment:4 Changed 11 years ago by nidhi.tare@…

Using Trac 0.12
the /tmp/syslog shows the tickets that failed. I can create a new ticket but
when I update the same ticket, nothing happens. How can I get more DEBUG
info? right now the permissions are set to update_to_participants.

On Tue, Aug 3, 2010 at 11:50 AM, email2trac <email2trac@sara.nl> wrote:


comment:5 Changed 11 years ago by bas

In email2trac.conf: See:

Set log_level to DEBUG. It has the same meaning as the settings in trac.ini. There is really nothing in that file?

There are several options to control the logging:

      - log_type, default syslog
      - log_level, default info
      - log_file, none

comment:6 Changed 11 years ago by anonymous

the log file gives me

time Trac[perm] DEBUG: No policy allowed taren1 performing TICKET_EDIT_COMMENT on <Resource u 'ticket:39'>

comment:7 Changed 11 years ago by bas

There must be alot more in the log file. Can you attach it? It tells you that the user taren1 has no permission for this operation. What kind of permission did you set for this user?

comment:8 Changed 11 years ago by anonymous

  • Owner changed from bas to anonymous
  • Status changed from assigned to new

I am sorry to get back late. I guess I don't know where to look for log files for email2trac with the settings you suggested above. Currently, I am running trac in Apache and I don't see any info in the /var/log/httpd/error.log. I can see the trac logs though.

comment:9 Changed 11 years ago by anonymous

Here is my email2trac.conf file -

[DEFAULT] project: /export/trac/proj debug: 0 umask: 022 spam_level: 5 reply_all : 0 mailto_link: 0 umask: 022 email_header: 1 mailto_cc: mailto_link: ticket_update: 1 ticket_update_by_subject: 1 trac_version: 0.11 enable_syslog : alternate_notify_template : alternate_notify_template_update : drop_spam : 0 verbatim_format: 0 strip_signature: 0 email_quote: > strip_quotes: 0 ignore_trac_user_settings: 0 black_list: MAILER-DAEMON@ drop_alternative_html_version: 1 log_file: log_type: syslog log_type: INFO

[proj] trac_component: proj

comment:10 Changed 11 years ago by anonymous

[DEFAULT]
project: /export/trac/proj
debug: 0
umask: 022
spam_level: 5
reply_all : 0
mailto_link: 0
umask: 022
email_header: 1
mailto_cc: taren1@apg.per.na.ab.applera.net
mailto_link: 
ticket_update: 1
ticket_update_by_subject: 1
trac_version: 0.11
enable_syslog : 
alternate_notify_template :
alternate_notify_template_update :
drop_spam : 0
verbatim_format: 0 
strip_signature: 0
email_quote: >
strip_quotes: 0
ignore_trac_user_settings: 0
black_list: MAILER-DAEMON@
drop_alternative_html_version: 1
log_file: 
log_type: syslog 
log_type: INFO

[proj]
trac_component: proj

comment:11 Changed 11 years ago by anonymous

Alright, I looked into the fetchmail login and I am getting these errors -

Traceback (most recent call last):
  File "/usr/local/bin/email2trac", line 2132, in ?
    tktparser = TicketEmailParser(env, settings, float(version))
  File "/usr/local/bin/email2trac", line 152, in __init__
    self.MAILTO = int(parameters['mailto_link'])
ValueError: invalid literal for int():
fetchmail: reading message xx@yy.mail.com:1 of 20 (1127 header octets) (1310 body octets) (log message incomplete)fetchmail: MDA returned nonzero status 1
fetchmail:  not flushed

comment:12 Changed 11 years ago by bas

  • Owner changed from anonymous to bas
  • Priority changed from major to minor
  • Status changed from new to assigned
  • Type changed from defect to setup

which version do you use. because this line is not in the current version. And i see that you have defined a lot of double definitions in email2trac.conf:

  • mailto_link is defined more then once

comment:19 Changed 11 years ago by nidhi.tare@…

Trac version is 0.12 and email2trac is 1.5.2 (latest I downloaded about a
month ago). It looks like email2trac is not logging update on the trac as it
expects some different format. It is storing the update emails into
/tmp/tmpxxx.email2trac.

On Sat, Aug 7, 2010 at 5:18 AM, email2trac <email2trac@sara.nl> wrote:


comment:20 Changed 11 years ago by bas

That can not be version 1.5.2. I just check it on svn repository and 1.5.2 is release about weeks ago

comment:21 Changed 11 years ago by bas

just remove the double enttries without values in email2trac.conf and you should be fine

comment:22 Changed 11 years ago by anonymous

Yes, I got rid of the double entries. Looks like there is still some problem with the date/time.

When I turn off the ticket_update option, nothing happens. Fetchmail just reads the message and flushes it. As expected no update is posted on the ticket. When I turn on the ticket_update option I get errors and the email is dumped in /tmp.

Traceback (most recent call last):
  File "/usr/local/bin/email2trac", line 2133, in ?
    tktparser.parse(sys.stdin)
  File "/usr/local/bin/email2trac", line 1489, in parse
    self.ticket_update(m, result.group('reply'), spam_msg)
  File "/usr/local/bin/email2trac", line 837, in ticket_update
    tkt.save_changes(self.author, body_text, when, None, str(cnum))
  File "build/bdist.linux-x86_64/egg/trac/ticket/model.py", line 253, in save_changes
  File "build/bdist.linux-x86_64/egg/trac/util/datefmt.py", line 78, in to_utimestamp
TypeError: unsupported operand type(s) for -: 'int' and 'datetime.datetime'
Loading environment /export/trac/proj
TD: RE: [proj] #32: try this now
TD: Message part: Main-Type: text
TD: Message part: Content-Type: text/plain
TD:               Inline body part
TD: saving email to /tmp/tmpqXqo57.email2trac
TD: Message part: Main-Type: text
TD: Message part: Content-Type: text/plain
TD:               Inline body part
TD: writing body to /tmp/tmphsg6gZ.email2trac
fetchmail: reading message proj@frd.mail.lifetech.com:1 of 1 (1123 header octets) (1278 body octets) (log message incomplete)fetchmail: MDA returned nonzero status 1
fetchmail:  not flushed
fetchmail: sleeping at Mon 09 Aug 2010 10:19:11 AM EDT for 10 seconds

comment:23 Changed 11 years ago by bas

Which email2trac version do you use? It can not be 1.5.3 as told you before. Can your try the latest version?

comment:24 Changed 11 years ago by anonymous

Ok. I am using version 1.4.3. I find /bin/email2trac and /bin/run_email2trac confusing. Which one to use when setting fetchmail's mda value?

comment:25 Changed 11 years ago by bas

Here is the explanation:

  • run_email2trac is suid wrapper and it only needed by MTA that needed when the MTA can not switch to the trac user. So it is not needed that much. Most MTA can switch user. After the switch it runs email2trac.
  • IF your fetchmail account runs under the trac user. You only need email2trac . email2trac is the main program

comment:26 Changed 11 years ago by anonymous

Cool. I got that working. I can see the tickets posted on the trac.

I know we can use procmail to clean up the tickets when posting updates. With email2trac, I can see the email_quote and email_strip fields that allow to strip stuff starting with > (or only one character). Is there any other way we can use email2trac to clean up the updates especially if the email client does not support replies beginning with '>' ?

comment:27 Changed 11 years ago by bas

Not yet. is work in progress. Is the next thing to do, see:

comment:28 Changed 10 years ago by bas

  • Resolution set to fixed
  • Status changed from assigned to closed

just close this ticket

Add Comment

Modify Ticket

Change Properties
Action
as closed The owner will remain bas.
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.